--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Acknowledge the transaction to paypal. This method has to be called after a new ipn arrives. Paypal will verify that all the information we received are correct and will return a ok or a fail.
- !ruby/struct:SM::Flow::P 
  body: "Example:"
- !ruby/struct:SM::Flow::VERB 
  body: "  def paypal_ipn\n    notify = PaypalNotification.new(request.raw_post)\n\n    if notify.acknowledge\n      ... process order ... if notify.complete?\n    else\n      ... log possible hacking attempt ...\n    end\n"
full_name: ActiveMerchant::Billing::Integrations::Paypal::Notification#acknowledge
is_singleton: false
name: acknowledge
params: ()
visibility: public
